Bug 846717 - conflicts installing glib2-devel.i686 along-side glib2-devel.x86_64
conflicts installing glib2-devel.i686 along-side glib2-devel.x86_64
Status: CLOSED DUPLICATE of bug 718404
Product: Fedora
Classification: Fedora
Component: glib2 (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On: 718404
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 09:36 EDT by Avi Kivity
Modified: 2013-01-09 07:06 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 718404
Environment:
Last Closed: 2012-08-14 10:36:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Avi Kivity 2012-08-08 09:36:47 EDT
+++ This bug was initially created as a clone of Bug #718404 +++

Description of problem:

The version of glib2-devel that ships with fedora 15 adds files that install in /usr/share/dlib-2.0/gdb.  This results in conflicts if you try to install both the 32-bit and 64-bit versions of this package.  This essentially makes it no longer possible to develop 32-bit software under a 64-bit version of fedora.  This has always worked in previous versions.


Version-Release number of selected component (if applicable): glib2-devel-2.28.8-1.fc15.i686


How reproducible: Always


Steps to Reproduce:
1. yum install glib2-devel.x86_64
2. yum install glib2-devel.i686
3.
  
Actual results: Conflicts in various files in /usr/share/glib-2.0/gdb resulting in failure of the installation.


Expected results: Expect both packages to be able to be installed.


Additional info: This impacts my ability to do Mozilla software development.

--- Additional comment from alexisis-pristontale@hotmail.com on 2011-07-14 18:24:20 IDT ---

i confirm this bug, you must think to merge this new file into a separete package

--- Additional comment from alexisis-pristontale@hotmail.com on 2011-07-15 15:16:54 IDT ---

Created attachment 513368 [details]
patch to solve the bug

i have add a patch to solve the bug, if the maintener would like add it and rebuild the package.

--- Additional comment from bill@wg9s.com on 2011-11-12 22:38:59 IST ---

Silly me just installed fedora 16 and assumed this would have been fixed by now.  But, alas the issue still exists.

--- Additional comment from avi@redhat.com on 2011-12-05 15:21:05 IST ---

Issue exists for me too.

--- Additional comment from generalpenguin89@gmail.com on 2012-02-11 21:31:08 IST ---

I have also experienced this issue on Fedora 16 x86_64.

--- Additional comment from mclasen@redhat.com on 2012-02-16 18:30:15 IST ---

*** Bug 784269 has been marked as a duplicate of this bug. ***

--- Additional comment from mathstuf@gmail.com on 2012-03-20 05:02:15 IST ---

Looking over the guidelines, there is nothing that states that -devel packages have to be multiarch compatible. I think this is likely an oversight. I would recommend opening a bug for the FPC[1] to add to the guidelines that -devel packages have to be parallel-installable with multiarch.

[1]https://fedorahosted.org/fpc/

--- Additional comment from alevy@redhat.com on 2012-03-21 14:07:45 IST ---

*** Bug 757174 has been marked as a duplicate of this bug. ***

--- Additional comment from alevy@redhat.com on 2012-03-21 16:35:24 IST ---

Created attachment 571730 [details]
rebased fix

--- Additional comment from mathstuf@gmail.com on 2012-03-21 18:14:37 IST ---

(In reply to comment #9)
> Created attachment 571730 [details]
> rebased fix

Some spelling errors:

undependant -> independent
commun -> common

Also, the "#%" thing can make RPM unhappy; just changing the % to a # is usually done.

--- Additional comment from alevy@redhat.com on 2012-03-31 15:19:06 IDT ---

Created attachment 574199 [details]
2.32.0-2 based glib2.spec patch

Rebased on 2.32.0, corrected both spelling errors, added space between "#" and "%" which is just what the version before the patch had.

Alon

--- Additional comment from alevy@redhat.com on 2012-03-31 15:30:23 IDT ---

Created attachment 574201 [details]
2.32.0 based, replaced # % with # to avoid macro in comment warnings from rpmlint

Or use this version, it passes rpmlint with no warnings and errors using the suggestion the second before last comment.

(and the patch is correctly named, it's 2.32, not 2.33 - but that was just the patch name).

Alon

--- Additional comment from alevy@redhat.com on 2012-03-31 15:49:09 IDT ---

forget both comments, my bad - there are move changes then just bumping the version. Looks like a glib2-common would also be needed. Here is the list of conflicts:

glib2-devel conflicts that can go to glib2-common-devel
 /usr/include/*
 /usr/bin/glib-gettextize
 /usr/bin/glib-mkenums
 /usr/bin/gtester-report
  -> all three are perl/python/posix scripts.

glib2 conflicts (glib2-common?)
 /usr/share/man/man1/*
 /usr/share/locale/*
 /usr/share/doc/glib2-2.32.0/*
 /etc/bash_completion.d/*

--- Additional comment from phil@fifi.org on 2012-06-13 01:21:54 IDT ---

Still present in 2.32.3-1.fc17:

Transaction Check Error:
  file /usr/bin/gdbus-codegen from install of glib2-devel-2.32.3-1.fc17.i686 conflicts with file from package glib2-devel-2.32.3-1.fc17.x86_64
  file /usr/share/glib-2.0/gdb/glib.pyc from install of glib2-devel-2.32.3-1.fc17.i686 conflicts with file from package glib2-devel-2.32.3-1.fc17.x86_64
  file /usr/share/glib-2.0/gdb/glib.pyo from install of glib2-devel-2.32.3-1.fc17.i686 conflicts with file from package glib2-devel-2.32.3-1.fc17.x86_64
  file /usr/share/glib-2.0/gdb/gobject.pyc from install of glib2-devel-2.32.3-1.fc17.i686 conflicts with file from package glib2-devel-2.32.3-1.fc17.x86_64
  file /usr/share/glib-2.0/gdb/gobject.pyo from install of glib2-devel-2.32.3-1.fc17.i686 conflicts with file from package glib2-devel-2.32.3-1.fc17.x86_64
  file /usr/share/systemtap/tapset/glib.stp from install of glib2-devel-2.32.3-1.fc17.i686 conflicts with file from package glib2-devel-2.32.3-1.fc17.x86_64
  file /usr/share/systemtap/tapset/gobject.stp from install of glib2-devel-2.32.3-1.fc17.i686 conflicts with file from package glib2-devel-2.32.3-1.fc17.x86_64

--- Additional comment from markhamj@mac.com on 2012-07-07 17:28:40 IDT ---

Working on FC15.   Has a workaround / patch been identified for 2.6.43.8-1.fc15.x86_64?

--- Additional comment from bill@wg9s.com on 2012-07-07 20:25:16 IDT ---

Created attachment 596788 [details]
Workaround shell script

This it the workaround I am using.  Instead of installing glib2-devel.i686, I just run this script as root each time glib2-devel is updated.

--- Additional comment from bill@wg9s.com on 2012-07-07 22:53:20 IDT ---

Oh I should mention that in addition to the above script you also need to make sure you install glib2.i686 and elfutils-libelf.i686 which would normally be dependencies fo the glib2-devel.i686 package.

--- Additional comment from bill@wg9s.com on 2012-07-07 22:54:33 IDT ---

You should install those before running the workaround shell script.

--- Additional comment from dwayne.fontenot@att.net on 2012-07-23 19:36:55 IDT ---

Bill,

How does your script help with all the -devel packages which depend on glib-devel.i686 ?

--- Additional comment from bill@wg9s.com on 2012-07-23 23:04:46 IDT ---

(In reply to comment #19)
> Bill,
> 
> How does your script help with all the -devel packages which depend on
> glib-devel.i686 ?

Unfortunately it doesn't.

However, what it does do is permit to build 32-bit versions of Mozilla products, which was my original issue that prompted me to file this bug.

--- Additional comment from endoflife@fedoraproject.org on 2012-08-07 20:12:13 IDT ---

This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 1 Nils Philippsen 2012-08-14 10:36:30 EDT
Reopened original bug.

*** This bug has been marked as a duplicate of bug 718404 ***

Note You need to log in before you can comment on or make changes to this bug.